Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.controlpoint
Class ControlPointImpl

    java.lang.Object
      org.fourthline.cling.controlpoint.ControlPointImpl

All Implemented Interfaces:
  ControlPoint

    @ApplicationScoped
    public class ControlPointImpl

extends Object
implements ControlPoint

Default implementation.

This implementation uses the executor returned by `UpnpServiceConfiguration.getSyncProtocolExecutorService()`.

Author:
  Christian Bauer

Field Summary
`protected UpnpServiceConfiguration` | `configuration`
`protected ProtocolFactory` | `protocolFactory`
`protected Registry` | `registry`

Constructor Summary
`protected` | `ControlPointImpl()`
`` | `ControlPointImpl(UpnpServiceConfiguration configuration, ProtocolFactory protocolFactory, Registry registry)`

Method Summary
`Future` | `execute(ActionCallback callback)`
`void` | `execute(ExecuteAction executeAction)`
`void` | `execute(SubscriptionCallback callback)`
`UpnpServiceConfiguration` | `getConfiguration()`
`ProtocolFactory` | `getProtocolFactory()`
`Registry` | `getRegistry()`
`void` | `search()`
`void` | `search(int mxSeconds)`
`void` | `search(Search search)`
`void` | `search(UpnpHeader searchType)`
`void` | `search(UpnpHeader searchType, int mxSeconds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configuration

    protected UpnpServiceConfiguration configuration

### protocolFactory

    protected ProtocolFactory protocolFactory

### registry

    protected Registry registry

Constructor Detail

### ControlPointImpl

    protected ControlPointImpl()

### ControlPointImpl

    @Inject
    public ControlPointImpl(UpnpServiceConfiguration configuration,
                                   ProtocolFactory protocolFactory,
                                   Registry registry)

Method Detail

### getConfiguration

    public UpnpServiceConfiguration getConfiguration()

  Specified by:
    `getConfiguration` in interface `ControlPoint`

### getProtocolFactory

    public ProtocolFactory getProtocolFactory()

  Specified by:
    `getProtocolFactory` in interface `ControlPoint`

### getRegistry

    public Registry getRegistry()

  Specified by:
    `getRegistry` in interface `ControlPoint`

### search

    public void search(@Observes
                       Search search)

### search

    public void search()

  Specified by:
    `search` in interface `ControlPoint`

### search

    public void search(UpnpHeader searchType)

  Specified by:
    `search` in interface `ControlPoint`

### search

    public void search(int mxSeconds)

  Specified by:
    `search` in interface `ControlPoint`

### search

    public void search(UpnpHeader searchType,
                       int mxSeconds)

  Specified by:
    `search` in interface `ControlPoint`

### execute

    public void execute(ExecuteAction executeAction)

### execute

    public Future execute(ActionCallback callback)

  Specified by:
    `execute` in interface `ControlPoint`

### execute

    public void execute(SubscriptionCallback callback)

  Specified by:
    `execute` in interface `ControlPoint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.